summaryrefslogtreecommitdiff
path: root/media-gfx
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-13 03:04:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-13 03:04:37 -0500
commit98066fc1faacac449ddea472e456f23ad0e2a515 (patch)
treefeb27d0c2c8df95352b45214806ac01481acc3e9 /media-gfx
parent193236e34a32b643d816ed04394476eab7e04db7 (diff)
downloadbaldeagleos-repo-98066fc1faacac449ddea472e456f23ad0e2a515.tar.gz
baldeagleos-repo-98066fc1faacac449ddea472e456f23ad0e2a515.tar.xz
baldeagleos-repo-98066fc1faacac449ddea472e456f23ad0e2a515.zip
Adding metadata
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/valentina/Manifest2
-rw-r--r--media-gfx/valentina/files/valentina-1.0.0-fix_desktop.patch37
-rw-r--r--media-gfx/valentina/valentina-1.0.4.ebuild2
-rw-r--r--media-gfx/valentina/valentina-1.1.0.ebuild (renamed from media-gfx/valentina/valentina-1.0.0-r1.ebuild)54
4 files changed, 35 insertions, 60 deletions
diff --git a/media-gfx/valentina/Manifest b/media-gfx/valentina/Manifest
index 1c24ea060391..b0b11fb4c464 100644
--- a/media-gfx/valentina/Manifest
+++ b/media-gfx/valentina/Manifest
@@ -1,2 +1,2 @@
-DIST valentina-v1.0.0.tar.bz2 62003405 BLAKE2B a77b4b5dbccc2f50df97f922cdebd3d2f7b03b577858c70d6f2b3949a2195e920485e2d84ec1dfc18a678b8ab1638587721b784760acc06a36608ff2cf538cba SHA512 dae28c6505dad4e80a99f057fe400ba064107d88919920c01bb3e95e6d0f10c6fb5d886b68964f4a849ab9f60ec9f0466ae89030ae09b5bd3a1c5cb3bbaae129
DIST valentina-v1.0.4.tar.bz2 64512148 BLAKE2B 09d22dab3a827b411e119e42609a4e0254ade6b8a91e09aebb0b905578e361b1322f5fab3831ca99494081533dc48cfb3105505f0b5a5ddc817283ecbecaaeb4 SHA512 8a0ab9aa77cea1d019673f42c979121bf20df68221d05f73043012f252e656e2edfd78b00de0d98f32fa232ab9f90ad34a097e522cb548bd46e54e35730a3cf9
+DIST valentina-v1.1.0.tar.bz2 65301814 BLAKE2B 3d9f42dd8674d6c9d98e968a0ba5ae275fb8e222c0dfacc169d4a6ea0e39c1a2538a2872c728df400aac25b1bb10f22fd7c771ca9a17215d8e94df18a1a8668c SHA512 af776d993690107545f9f57ea17a3e451f066e19ef01ff0cd6ad1d94b0370afb8f9a1911dc8540f6216e65fa7e93a8f05fff91c47d1343a9bdaf446f56506965
diff --git a/media-gfx/valentina/files/valentina-1.0.0-fix_desktop.patch b/media-gfx/valentina/files/valentina-1.0.0-fix_desktop.patch
deleted file mode 100644
index fa963a8d156d..000000000000
--- a/media-gfx/valentina/files/valentina-1.0.0-fix_desktop.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-Avoid a warning at launch
-> WARNING:QGuiApplication::setDesktopFileName: the specified desktop file name ends with .desktop.
-> For compatibility reasons, the .desktop suffix will be removed.
-> Please specify a desktop file name without .desktop suffix
---- a/src/app/puzzle/main.cpp
-+++ b/src/app/puzzle/main.cpp
-@@ -120,7 +120,7 @@ auto main(int argc, char *argv[]) -> int
-
- QT_REQUIRE_VERSION(argc, argv, "5.15.0") // clazy:exclude=qstring-arg,qstring-allocations NOLINT
-
-- VPApplication::setDesktopFileName(QStringLiteral("ua.com.smart-pattern.puzzle.desktop"));
-+ VPApplication::setDesktopFileName(QStringLiteral("ua.com.smart-pattern.puzzle"));
-
- QTimer::singleShot(0, &app, &VPApplication::ProcessCMD);
-
---- a/src/app/tape/main.cpp
-+++ b/src/app/tape/main.cpp
-@@ -119,7 +119,7 @@ auto main(int argc, char *argv[]) -> int
-
- QT_REQUIRE_VERSION(argc, argv, "5.15.0"); // clazy:exclude=qstring-arg,qstring-allocations NOLINT
-
-- MApplication::setDesktopFileName(QStringLiteral("ua.com.smart-pattern.tape.desktop"));
-+ MApplication::setDesktopFileName(QStringLiteral("ua.com.smart-pattern.tape"));
-
- QTimer::singleShot(0, &app, &MApplication::ProcessCMD);
-
---- a/src/app/valentina/main.cpp
-+++ b/src/app/valentina/main.cpp
-@@ -132,7 +132,7 @@ auto main(int argc, char *argv[]) -> int
-
- QT_REQUIRE_VERSION(argc, argv, "5.15.0") // clazy:exclude=qstring-arg,qstring-allocations NOLINT
-
-- VApplication::setDesktopFileName(QStringLiteral("ua.com.smart-pattern.valentina.desktop"));
-+ VApplication::setDesktopFileName(QStringLiteral("ua.com.smart-pattern.valentina"));
-
- MainWindow w;
- #if !defined(Q_OS_MAC)
diff --git a/media-gfx/valentina/valentina-1.0.4.ebuild b/media-gfx/valentina/valentina-1.0.4.ebuild
index 5d0dab57c51b..eb474e974396 100644
--- a/media-gfx/valentina/valentina-1.0.4.ebuild
+++ b/media-gfx/valentina/valentina-1.0.4.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/${PN}-v${PV}"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/media-gfx/valentina/valentina-1.0.0-r1.ebuild b/media-gfx/valentina/valentina-1.1.0.ebuild
index fa7ab80a48d1..5d0dab57c51b 100644
--- a/media-gfx/valentina/valentina-1.0.0-r1.ebuild
+++ b/media-gfx/valentina/valentina-1.1.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2025 Gentoo Authors
+# Copyright 2025-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-inherit edo flag-o-matic multiprocessing qmake-utils toolchain-funcs xdg
+inherit edo flag-o-matic multiprocessing optfeature qmake-utils toolchain-funcs xdg
DESCRIPTION="Cloth patternmaking software"
HOMEPAGE="https://smart-pattern.com.ua/"
@@ -12,9 +12,9 @@ S="${WORKDIR}/${PN}-v${PV}"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="~amd64 ~x86"
IUSE="test"
-RESTRICT="test"
+RESTRICT="!test? ( test )"
DEPEND="
dev-libs/xerces-c:=
@@ -22,19 +22,13 @@ DEPEND="
dev-qt/qtsvg:6
!sci-biology/tree-puzzle
"
-RDEPEND="${DEPEND}
- app-text/poppler[utils]
-"
+RDEPEND="${DEPEND}"
BDEPEND="
dev-build/meson-format-array
dev-qt/qttools:6[linguist]
dev-util/qbs
"
-PATCHES=(
- "${FILESDIR}"/${PN}-1.0.0-fix_desktop.patch
-)
-
qbs_format_flags() {
meson-format-array "${@}" || die
}
@@ -68,7 +62,6 @@ src_configure() {
qbs_config stripPath "$(tc-getSTRIP)"
# define global options
- qbs_config preferences.jobs "$(get_makeopts_jobs)"
qbs_config qbs.installPrefix "${EPREFIX}/usr"
qbs_config qbs.sysroot "${ESYSROOT}"
@@ -79,21 +72,28 @@ src_configure() {
qbs_config qbs.optimization ""
# define package options
- qbs_config buildconfig.enableCcache false
- qbs_config buildconfig.enablePCH false # fail w/ clang
- qbs_config buildconfig.enableUnitTests $(usex test true false)
- qbs_config buildconfig.enableRPath false
- qbs_config buildconfig.installLibraryPath "$(get_libdir)"
- qbs_config buildconfig.libDirName "$(get_libdir)"
- qbs_config buildconfig.treatWarningsAsErrors false
+ local my_opts=(
+ enableCcache:false
+ enablePCH:false
+ enableUnitTests:$(usex test true false)
+ enableRPath:false
+ installLibraryPath:"$(get_libdir)"
+ libDirName:"$(get_libdir)"
+ treatWarningsAsErrors:false
+ )
# used by all phases
qbsargs=(
--file ${PN}.qbs
config:release
profile:gentoo
+ ${my_opts[@]/#/modules.buildconfig.}
)
+ # export now for src_test
+ local -x LD_LIBRARY_PATH+=":${S}/release/install-root${EPREFIX}/usr/$(get_libdir)/"
+ local -x QT_QPA_PLATFORM=offscreen
+
edo qbs resolve "${qbsargs[@]}" --force-probe-execution
# verbose build/install phase
@@ -103,20 +103,32 @@ src_configure() {
}
src_compile() {
- edo qbs build "${qbsargs[@]}" --no-install
+ edo qbs build "${qbsargs[@]}" --jobs $(get_makeopts_jobs) --no-install
}
src_test() {
- # It fails in the build env. Only parserTest passes if launched manually.
edo qbs -p autotest-runner profile:gentoo config:release
}
src_install() {
edo qbs install "${qbsargs[@]}" --no-build --install-root "${D}"
+ if use test; then
+ rm "${ED}"/usr/bin/*Test.debug || die
+ fi
+
+ insinto /usr/share/${PN}
+ doins -r "${S}"/src/app/share/{collection,tables}
+
dodoc AUTHORS.txt ChangeLog.txt README.md
doman dist/debian/${PN}.1
doman dist/debian/puzzle.1
doman dist/debian/tape.1
}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "PDF to PS conversion" app-text/poppler[utils]
+}